This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 19227 - xfree 4 causes screen corruption using mgag200 matrox mystique
xfree 4 causes screen corruption using mgag200 matrox mystique
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-17 00:06 EDT by Andrew Huntwork
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-28 12:20:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
my XF86Config-4 file that causes the problems (1.65 KB, text/plain)
2000-10-17 00:08 EDT, Andrew Huntwork
no flags Details
my x 3 XF86Config that works just fine (20.18 KB, text/plain)
2000-10-17 00:10 EDT, Andrew Huntwork
no flags Details

  None (edit)
Description Andrew Huntwork 2000-10-17 00:06:47 EDT
Xfree 86  4 causes screen corruption in the form of lots of horizontal
lines all over the screen as well as some random gray boxes every once in a
while.  Using 3.3.6 or earlier or turning off acceleration fixes
everything.  Attached are a startup log for the accelerated config that
causes the problems, the config file in question, and my xfree86 3 config
file.  The x4 i'm talking about is the default for rh 7 and the 3.x in
question is the default for 6.2  Just to summarize the logs and config
files, my card is a matrox mystique g200 8M and my monitor is a ctx vl700. 
I upgraded from 6.2 to 7, and made my x 4 config file using Xconfigurator.
Comment 1 Andrew Huntwork 2000-10-17 00:08:13 EDT
Created attachment 4249 [details]
my XF86Config-4 file that causes the problems
Comment 2 Andrew Huntwork 2000-10-17 00:10:40 EDT
Created attachment 4250 [details]
my x 3 XF86Config that works just fine
Comment 3 Andrew Huntwork 2000-10-17 00:11:22 EDT
changing summary for proper spelling
Comment 4 Need Real Name 2001-01-28 12:20:05 EST
I'm having very similar problems with an ELSA GLoria Synergy (the 3dLabs Permedia 2 chip).  This is on an Alpha system, so it's not just x86.  Focussed items begin turning grey or purple of brown... pretty soon the whole screen is that color.
Comment 5 Mike A. Harris 2002-01-25 06:04:50 EST
MGA G200 seems to work ok for me with 4.1.0-15 on RHL 7.2

Try upgrading to the latest release.

The 3dlabs problem whatever it is is not related to this problem, as
it would be video driver dependant.

Note You need to log in before you can comment on or make changes to this bug.